// swift-tools-version:5.9
import PackageDescription

let package = Package(
    name: "ByteLystDiagnostics",
    platforms: [
        .iOS(.v15),
        .macOS(.v13),
        .watchOS(.v8),
        .tvOS(.v15)
    ],
    products: [
        .library(
            name: "ByteLystDiagnostics",
            targets: ["ByteLystDiagnostics"]
        ),
    ],
    dependencies: [],
    targets: [
        .target(
            name: "ByteLystDiagnostics",
            path: "Sources/ByteLystDiagnostics",
            swiftSettings: [
                .enableExperimentalFeature("StrictConcurrency")
            ]
        ),
        .testTarget(
            name: "ByteLystDiagnosticsTests",
            dependencies: ["ByteLystDiagnostics"],
            path: "Tests/ByteLystDiagnosticsTests"
        ),
    ]
)
